Skip to content

Try “workflows”, “templates”, “SOQL” or “create a record”.

Tasks

To-dos with a status, priority, due date and assignees.

List tasks

GET/tasks
Scope tasks:viewRead-only

Query parameters

NameType
limitnumber
cursorstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/tasks?limit=25" \  -H "Authorization: Bearer $KLERC_TOKEN"

Create a task

POST/tasks
Scope tasks:useWrites data

Request body

FieldType
titlestring
textstring
statusstring
prioritystring
dueDatestring
assigneesarray of string

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X POST "https://api.klerc.co/api/v1/tasks" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"title":"Call back about the renewal quote","text":"Asked for a call after 6pm."}'

Get a task by id

GET/tasks/{id}
Scope tasks:viewRead-only

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X GET "https://api.klerc.co/api/v1/tasks/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"

Update a task

PATCH/tasks/{id}
Scope tasks:useWrites data

Path parameters

NameType
idrequiredstring

Request body

FieldType
titlestring
textstring
statusstring
prioritystring
dueDatestring
assigneesarray of string

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X PATCH "https://api.klerc.co/api/v1/tasks/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN" \  -H "Content-Type: application/json" \  -d '{"title":"…","text":"…","status":"…","priority":"…","dueDate":"…","assignees":["…"]}'

Delete a task

DELETE/tasks/{id}
Scope tasks:useWrites data

Path parameters

NameType
idrequiredstring

Responses

  • 200OK
  • 201Created
  • 401Authentication failed
  • 403Insufficient scope / feature disabled
  • 404Not found
curl
curl -X DELETE "https://api.klerc.co/api/v1/tasks/{id}" \  -H "Authorization: Bearer $KLERC_TOKEN"